class CreateUiboxContents < ActiveRecord::Migration
  def change
    create_table :uibox_contents do |t|
      t.integer    :active, null: false, default: 1, limit: 1
      t.index      :active
      t.references :sourceable,  polymorphic: true
      t.index      :sourceable_id
      t.index      :sourceable_type
      t.string     :type
      t.string     :slug
      t.index      :type
      t.text       :meta
      t.datetime   :deleted_at
      t.timestamps null: false
    end
    Uibox::Content.create_translation_table!({
      title: {type: :string, null: true, default: ''},
      name: {type: :string, null: true, default: ''},
      description: {type: :text, null: true, default: ''},
      text_raw: {type: :text, null: true, default: ''},
      text_html: {type: :text, null: true, default: ''}
    })
    add_column :uibox_content_translations, :deleted_at, :datetime
    add_column :uibox_content_translations, :active, :integer
    add_column :uibox_content_translations, :type, :string
    add_column :uibox_content_translations, :slug, :string
    add_column :uibox_content_translations, :meta, :string
    add_index :uibox_content_translations, :active
    add_index :uibox_content_translations, :type
    add_index :uibox_content_translations, :name
    add_index :uibox_content_translations, :title
  end
end
