module Uibox
  class Engine < ::Rails::Engine
    isolate_namespace Uibox
    engine_name "uibox"

    config.generators do |g|
      g.fixture_replacement :factory_girl
      g.test_framework  :rspec, :fixture => true
      g.helper          false
      g.template_engine :haml
      g.view_specs      true
      g.helper_specs    true
      g.javascripts     false
      g.stylesheets     false
      g.assets          false
      g.factory_girl    dir: Uibox::Engine.root.join("spec", "factories")
    end

    config.action_mailer.preview_path =  Uibox::Engine.root.join("spec", "mailers", "previews")


  end
end
